Package junit.swingui

# Class FailureRunView

java.lang.Object
junit.swingui.FailureRunView

public class FailureRunView extends Object
A view presenting the test failures as a list.

## Constructor Summary

Constructors
Constructor
Description
`FailureRunView(TestRunContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`aboutToStart(Test suite, TestResult result)`
`void`
`activate()`
`void`
`addTab(JTabbedPane pane)`
`Test`
`getSelectedTest()`
`void`
`revealFailure(Test failure)`
`void`
`runFinished(Test suite, TestResult result)`
`protected void`
`testSelected()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FailureRunView

public FailureRunView(TestRunContext context)

## Method Details

### getSelectedTest

public Test getSelectedTest()

### activate

public void activate()

### addTab

public void addTab(JTabbedPane pane)

### revealFailure

public void revealFailure(Test failure)

### aboutToStart

public void aboutToStart(Test suite, TestResult result)

### runFinished

public void runFinished(Test suite, TestResult result)

### testSelected

protected void testSelected()